{% extends "base.html" %}



{% block title %}
    Scrumptious Recipes
{% endblock title %}

{% block nav %}
    <a href="{% url "recipe_list" %}">Main</a>
    <a href="{% url "create_recipe" %}">Create</a>
{% endblock nav %}

{% block main %}
    <h1 id="purple-background">{{ recipe_object.title }}</h1>
                    <img src="{{ recipe_object.picture }}">
                    <div>4.3 Stars</div>
                    <div>
                        <a href="{% url "edit_recipe" recipe_object.id %}">Edit</a>
                    </div>
                    <div>
                        <p>{{ recipe_object.description }}</p>
                    </div>
                    <h2>Ingredients</h2>
                    <table class="grid" class="grey-background_even" class="grey-even > :nth-child(even)">
                        <thead>
                            <tr>
                                <th>Amount</th>
                                <th>Food Item</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for ingredient in recipe_object.ingredients.all %}
                            <tr>
                                <td>{{ ingredient.amount }}</td>
                                <td>{{ ingredient.food_item }}</td>
                            </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                    <h2>Steps</h2>
                    <ol>
                    {% for step in recipe_object.steps.all %}
                        <li>{{ step.instruction }}</li>
                    {% endfor %}
                    </ol>
                    {% if recipe_object.author %}
                        <h2>Recipe From {{ recipe_object.author.username }}</h2>
                        <ul>
                            {% for recipe in recipe_object.author.recipes.all %}
                                <li>{{ recipe.title }}</li>
                            {% endfor %}
                        </ul>
                    {% endif %}
{% endblock main %}
